# LÖVE Chessboard

Chessboard made with [LÖVE](https://love2d.org/).

## User's guide

Drag and drop pieces with mouse. For now, there is no artificial opponent. The computer indicates legal moves, but doesn't play.

Press **Esc** to close the application.

## Command-line options

### Pieces set

```
--pieces=Fritz (default)
--pieces=SMIRF
--pieces=Warlord
```

- *Fritz* pieces set is a reproduction of [Fritz](https://www.chessprogramming.org/Fritz) chess program by Frans Morsch and Mathias Feist.
- *SMIRF* pieces set comes from [SMIRF GUI](https://www.chessprogramming.org/SMIRF) by Reinhard Scharnagl.
- *Warlord* pieces set is a reproduction of [Warlord](https://www.chessprogramming.org/Warlord) chess program by William H. Rogers.

### Language

```
--lang=English (default)
--lang=French
--lang=German
--lang=Hungarian
```

## Links

- [Discussion](https://love2d.org/forums/viewtopic.php?t=82480)
- [Luciole](https://gitlab.com/rchastain/luciole) (UCI chess engine written in Lua)

## Screenshot

![Screenshot](screenshot.png)
